Commit f95b605c authored by Robert Speicher's avatar Robert Speicher
Browse files

Merge branch '28975-recommend-using-v4-api-on-slash-command-integrations' into 'master'

Recommend V4 API usage on chat slash command integrations

Closes #28975

See merge request !12954
......@@ -8,6 +8,6 @@ def builds_trigger_url(project_id, ref: nil)
end
def service_trigger_url(service)
"#{Settings.gitlab.url}/api/v3/projects/#{service.project_id}/services/#{service.to_param}/trigger"
"#{Settings.gitlab.url}/api/v4/projects/#{service.project_id}/services/#{service.to_param}/trigger"
end
end
......@@ -159,7 +159,7 @@ def create_teams(count = 0)
it 'shows the correct trigger url' do
value = find_field('request_url').value
expect(value).to match("api/v3/projects/#{project.id}/services/mattermost_slash_commands/trigger")
expect(value).to match("api/v4/projects/#{project.id}/services/mattermost_slash_commands/trigger")
end
it 'shows a token placeholder' do
......
......@@ -40,6 +40,6 @@
it 'shows the correct trigger url' do
value = find_field('url').value
expect(value).to match("api/v3/projects/#{project.id}/services/slack_slash_commands/trigger")
expect(value).to match("api/v4/projects/#{project.id}/services/slack_slash_commands/trigger")
end
end
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment